[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.AssignItems

Assigns the content in the specified TStringList to the Items in the control.

## Declaration

Source position: comboex.pas line 318

`public procedure TCustomCheckCombo.AssignItems(`
`AItems: TStrings`
`);`

## Arguments

`AItems` |  | TStringList with values stored in the method.

## Description

AssignItems calls ClearItemStates to reset the state flags for the existing Items. The Assign method in Items is called to store the values in AItems. The InitItemStates method is called to initialize the Objects properties in Items with TCheckComboItemState instances for each of the check boxes.

Remark: | InitItemStates can raise an exception if any of the Objects in AItems contains a class not derived from TCheckComboItemState.

## See also

TCustomCheckCombo.ClearItemStates |  | Removes all state classes allocated for the check boxes in the control.
TCustomCheckCombo.InitItemStates |  | Initializes check box state information for items in the control.
TCheckComboItemState |  | Represents state and data for a check box item displayed in TCustomCheckCombo.
TStrings.Assign
TStrings.Objects